<!--
Author:         Jakub Schon
Company:        Husky Energy
Description:    Hack page for lightnign redirect on new tab.
History:        jschn 2019-02-20 - Created.
 -->
<apex:page standardController="SM_Run_Sheet_Detail__c" recordSetVar="sandRunSheets">

	<apex:slds />

	<style>
		.hide {
			display: none;
  		}
	</style>

	<div class="slds-scope hide" id="error">
		<div class="slds-notify slds-notify_alert slds-theme_alert-texture slds-theme_warning" role="alert">
			<h2>
				Your popup blocker is enabled. Please allow popup windows for this page and refresh page.
			</h2>
		</div>
	</div>

	<script>
		var newWindow = window.open("/apex/SM_ImportVendorTickets", "_blank");
		if(newWindow != null) {
			window.history.back();
		} else {
			document.getElementById("error").classList.remove("hide");
  		}
	</script>


</apex:page>